#
# Copyright 09/14/95 Sun Microsystems, Inc. All Rights Reserved
#
#
# @(#)makegpclib 1.6 95/09/14 SMI
#

SRC = llib-lc.c llib-lm.c llib-lgpc.c llib-lsunmath.c
DEST=../../lib/lintlib
ENH_OPTS=-erroff=%warn -Ncheck

#llib-ldl.c llib-lgen.c llib-ly.c llib-lcrypt.c llib-lelf.c llib-ll.c llib-lmalloc.c 

LINT=../../bin/lint

LLIB = $(SRC:%.c=%.ln)

all: $(LLIB)

$(LLIB): $$(@:%.ln=%.c)
	$(LINT) -I../../usr/lib -I../../lib -I/usr/lib -I../src -I. $(ENH_OPTS) -dirout=$(DEST) -c -y $(@:%.ln=%.c)

$(SRC): makefile
	echo "#include <$(@:%.c=%)>" > $@

clean:
	rm -f *.ln
